<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8"/>
	<xsl:include href="category.xsl" />
	<xsl:template name="categoriesLoop">

		<xsl:variable name="catsInLine">
			<xsl:value-of select="categories_in_line" />
		</xsl:variable>

		<xsl:variable name="cellClass">
			<xsl:value-of select="floor( 12 div $catsInLine )" />
		</xsl:variable>

		<xsl:variable name="catsCount">
			<xsl:value-of select="count( categories/category )" />
		</xsl:variable>

		<xsl:comment> categories loop - start </xsl:comment>
        <div class="category-container">
                <xsl:for-each select="categories/category">
                    <xsl:if test="($catsInLine > 1 and (position() = 1 or (position() mod $catsInLine) = 1)) or $catsInLine = 1">
                        <!-- opening the "table" row -->
                        <xsl:text disable-output-escaping="yes">&lt;div class="row-fluid" &gt;</xsl:text>
                    </xsl:if>
                    <div class="span{$cellClass} thumbcat">
                        <xsl:call-template name="category" />
                    </div>
                    <xsl:if test="($catsInLine > 1 and ((position() mod $catsInLine) = 0 or position() = $catsCount))  or $catsInLine = 1">
                        <!-- closing the "table" row -->
                        <xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
                    </xsl:if>
                </xsl:for-each>
        </div>
		<xsl:comment> categories loop - end </xsl:comment>
	</xsl:template>
</xsl:stylesheet>
