<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />
	<xsl:template name="category">
		<xsl:variable name="subcatsNumber">
			<xsl:value-of select="/section/number_of_subcats" />
		</xsl:variable>
		<div class="row-fluid">
			<div class="span2">
				<xsl:if test="string-length( icon )">
					<a href="{url}">
						<img alt="{name}" src="{icon}" />
					</a>
				</xsl:if>
			</div>
			<div class="span10">
				<p class="thumbcat">
					<a href="{url}">
						<xsl:value-of select="name" />
					</a>
				</p>
				<xsl:value-of select="introtext" disable-output-escaping="yes" />
				<xsl:for-each select="subcategories/subcategory">
					<xsl:if test="position() &lt; ( $subcatsNumber + 1 )">
						<a href="{@url}">
							<small><xsl:value-of select="." /></small>
						</a>
						<xsl:if test="position() != last() and position() &lt; $subcatsNumber">
							<xsl:text>, </xsl:text>
						</xsl:if>
					</xsl:if>
				</xsl:for-each>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>
