<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />
	<xsl:include href="vcard.xsl" />
	<xsl:include href="manage.xsl" />

	<xsl:template name="entriesLoop">
		<xsl:variable name="entriesInLine">
			<xsl:value-of select="entries_in_line" />
		</xsl:variable>

		<xsl:variable name="cellClass">
			<xsl:value-of select="floor( 12 div $entriesInLine )" />
		</xsl:variable>

		<xsl:variable name="entriesCount">
			<xsl:value-of select="count(entries/entry)" />
		</xsl:variable>
		<div class="pagination pagination-mini">
     
        <ul class="list-inline list-unstyled pull-right">
        
        <li >
            <a href="#" class="show-grid">
                <i class="fa fa-th fa-fw"></i>
            </a>
        </li>
        <li>
      <a href="#" class="show-list2">
        <i class="fa fa-columns fa-fw"></i>
      </a>
    </li>
        <li >
            <a href="#" class="show-list">
                <i class="fa fa-th-list fa-fw"></i>
            </a>
        </li>
    </ul>
       
      </div>
      <div style="clear:both"></div>
		<xsl:comment>entries loop - start</xsl:comment>
        <div class="entry-container" >
                <xsl:for-each select="entries/entry">
                    <xsl:if test="($entriesInLine > 1 and (position() = 1 or (position() mod $entriesInLine) = 1 )) or $entriesInLine = 1">
                        <!-- opening the "table" row -->
                        <xsl:text disable-output-escaping="yes">&lt;div class="row-fluid  show-row row-grid" &gt;</xsl:text>
                        <!--  Use these values for different vcard layout row-grid,row-list,row-list row-list2 -->
                    </xsl:if>
                    <div class="span{$cellClass} row-column ">
                        <xsl:call-template name="vcard" />
                    </div>
                    <xsl:if test="($entriesInLine > 1 and ((position() mod $entriesInLine) = 0 or position() = $entriesCount)) or $entriesInLine = 1">
                        <!-- closing the "table" row -->
                        <xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
                    </xsl:if>
                </xsl:for-each>
        </div>
		<xsl:comment>entries loop - end</xsl:comment>
 <div id='loadingDiv' style="clear:both; display:none; font-weight:bold; font-size:4em; text-align:center;">
    <i class="fa fa-spinner fa-spin"></i>  
 </div> 
	</xsl:template>
</xsl:stylesheet>
