<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />
	<xsl:template match="navigation" name="navigation">
		<xsl:if test="count( sites/* ) &gt; 0">
			<div class="clearfix" />
			<div class="ajax_paging pagination pagination-centered" rel="append">
				<ul>
					<xsl:for-each select="sites/site">
						<xsl:variable name="limit">
							<xsl:choose>
								<xsl:when test="../../current_site &lt; 4">
									<xsl:value-of select="8 - ../../current_site" />
								</xsl:when>
								<xsl:when test="../../current_site &gt; count( ../../sites/* ) - 8">
									<xsl:value-of select="7 - ( ../../all_sites  - ../../current_site )" />
								</xsl:when>
								<xsl:otherwise>4</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:variable name="show">
							<xsl:choose>
								<xsl:when test="(.) &gt; ( ../../current_site - $limit ) and (.) &lt; ../../current_site">1</xsl:when>
								<xsl:when test="(.) &lt; ( ../../current_site + $limit ) and (.) &gt; ../../current_site">2</xsl:when>
								<xsl:when test="(.) = ../../current_site">3</xsl:when>
								<xsl:when test="number(.) != (.)">4</xsl:when>
								<xsl:otherwise>0</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:if test="$show &gt; 0">
							<li>
								<xsl:if test="@selected = 1">
									<xsl:attribute name="class">active</xsl:attribute>
								</xsl:if>
								<xsl:if test="not( @url )">
									<xsl:attribute name="class">disabled</xsl:attribute>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="@url">
										<a href="{@url}">
											<xsl:value-of select="." />
										</a>
									</xsl:when>
									<xsl:otherwise>
										<a href="#">
											<xsl:value-of select="." />
										</a>
									</xsl:otherwise>
								</xsl:choose>
							</li>
						</xsl:if>
					</xsl:for-each>
				</ul>
			</div>
			<div class="clearfix" />
            <div id='loadingDiv' style="clear:both; display:none; font-weight:bold; font-size:4em; text-align:center;">
    <i class="fa fa-spinner fa-spin"></i>  
 </div> 
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
