<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl" exclude-result-prefixes="php">
    <xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />
    <xsl:template name="topMenu">
        <xsl:param name="searchbox" />
        <xsl:if test="count(//menu/*)">
            <div class="navbar topmenu">
                <div class="navbar-inner">
                    <div class="container-fluid">
                        <ul class="nav">
                            <xsl:if test="//menu/front">
                                <li>
                                    <a href="{//menu/front/@url}">
                                        <i class="icon-th-list"></i>
                                        <xsl:text> </xsl:text>
                                        <xsl:value-of select="//menu/front" />
                                    </a>
                                </li>
                            </xsl:if>
                            <xsl:if test="//menu/add">
                                <li>
                                    <a href="{//menu/add/@url}">
                                        <i class="icon-plus-sign"></i>
                                        <xsl:text> </xsl:text>
                                        <xsl:value-of select="//menu/add" />
                                    </a>
                                </li>
                            </xsl:if>
                            <xsl:if test="//menu/search">
                                <li>
                                    <a href="{//menu/search/@url}">
                                        <i class="icon-search"></i>
                                        <xsl:text> </xsl:text>
                                        <xsl:value-of select="//menu/search" />
                                    </a>
                                </li>
                            </xsl:if>
                        </ul>
                        <xsl:if test="//menu/search and $searchbox = 'true'">
                            <div class="nav-collapse">
                                <form class="navbar-search pull-right">
                                    <input type="text" name="sp_search_for" autocomplete="off" class="search-query" placeholder="{php:function( 'SobiPro::Txt', 'SH.SEARCH_FOR_BOX' )}" />
                                    <input type="hidden" name="task" value="search.search" />
                                    <input type="hidden" name="option" value="com_sobipro" />
                                    <input type="hidden" name="sid" value="{//@id}" />
                                </form>
                            </div>
                        </xsl:if>
                    </div>
                </div>
            </div>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
