<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->
    <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl" exclude-result-prefixes="my" xmlns:my="config">
        <xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />

        <my:summary_fields>
            <field>field_property_type</field>
            <field>field_beds</field>
            <field>field_baths</field>
            <field>field_area</field>
            <field>field_garages</field>
        </my:summary_fields>
        <my:slides_images>
            <image>field_image1</image>
            <image>field_image2</image>
            <image>field_image3</image>
            <image>field_image4</image>
            <image>field_image5</image>
        </my:slides_images>
        <my:template_fields>
            <field>field_name</field>
            <field>field_contact_person</field>
            <field>field_email</field>
            <field>field_street</field>
            <field>field_city</field>
            <field>field_state</field>
            <field>field_postcode</field>
            <field>field_country</field>
            <field>field_map</field>
            <field>field_phone</field>
            <field>field_mobile</field>
            <field>field_website</field>
            <field>field_short_description</field>
            <field>field_full_description</field>
            <field>field_price</field>
            <field>field_property_type</field>
            <field>field_status</field>
            <field>field_area</field>
            <field>field_beds</field>
            <field>field_baths</field>
            <field>field_garages</field>
            <field>field_property_features</field>
            <field>field_image1</field>
            <field>field_image1_label</field>
            <field>field_image2</field>
            <field>field_image2_label</field>
            <field>field_image3</field>
            <field>field_image3_label</field>
            <field>field_image4</field>
            <field>field_image4_label</field>
            <field>field_image5</field>
            <field>field_image5_label</field>
            <field>field_contact_form</field>
        </my:template_fields>
        <xsl:include href="../common/topmenu.xsl" />
        <xsl:include href="../common/manage.xsl" />
        <xsl:include href="../common/alphamenu.xsl" />
        <xsl:include href="../common/messages.xsl" />
        <xsl:include href="../common/review.xsl" />
        <!--<xsl:include href="../contact_form/contact.xsl" />-->
        <xsl:template match="/entry_details">
            <div class="row-fluid SPDetails">
                <div>
                 <xsl:value-of select="php:function( 'TplFunctions::addjs'  )"  />
                    <xsl:call-template name="topMenu">
                        <xsl:with-param name="searchbox">true</xsl:with-param>
                    </xsl:call-template>
                    <xsl:apply-templates select="alphaMenu" />
                </div>
                <xsl:apply-templates select="messages" />
                <div class="clearfix" />
                <div class="SPDetailEntry">
                    <div class="detail-container">
                        <xsl:call-template name="manage" />

                        <span class="tag price pull-right"><xsl:value-of select="php:function( 'SobiPro::Txt' , 'PROPERTY_ID' )" /><xsl:value-of select="entry/@id" /></span>
                        <h1>
					<xsl:value-of select="entry/name" />
					<xsl:call-template name="status">
						<xsl:with-param name="entry" select="entry" />
					</xsl:call-template>
				</h1>
                        <div class="detail-address">
                            <div class="span4">
                                <div class="address-left"><i class="fa fa-map-marker"></i></div>
                                <div class="address-right">

                                    <div>
                                        <xsl:value-of select="entry/fields/field_street/data" disable-output-escaping="yes" />
                                    </div>
                                    <div>
                                        <xsl:if test="string-length(entry/fields/field_city/data)">
                                            <xsl:value-of select="entry/fields/field_city/data" />,
                                            <xsl:text> </xsl:text>
                                        </xsl:if>
                                        <xsl:if test="string-length(entry/fields/field_state/data)">
                                            <xsl:value-of select="entry/fields/field_state/data" />
                                            <xsl:text> </xsl:text>
                                        </xsl:if>
                                        <xsl:if test="string-length(entry/fields/field_postcode/data)">
                                            <xsl:value-of select="entry/fields/field_postcode/data" />
                                        </xsl:if>
                                    </div>
                                    <div>
                                        <xsl:if test="string-length(entry/fields/field_country/data)">
                                            <xsl:value-of select="entry/fields/field_country/data" />
                                        </xsl:if>
                                    </div>
                                </div>
                            </div>

                            <div class="span4  ">
                                <div class="info">
                                    <i class="fa fa-phone"></i>
                                    <span><xsl:if test="string-length(entry/fields/field_phone/data)">
                                                 <xsl:value-of select="entry/fields/field_phone/data" disable-output-escaping="yes" />
                                                </xsl:if></span>
                                </div>
                                <div class="info">
                                    <i class="fa fa-mobile"></i>
                                    <span><xsl:if test="string-length(entry/fields/field_mobile/data)">
                                                 <xsl:value-of select="entry/fields/field_mobile/data" disable-output-escaping="yes" />
                                                </xsl:if></span>
                                </div>
                                <div class="info">
                                    <i class="fa fa-globe"></i>
                                    <xsl:if test="string-length(entry/fields/field_website/data)">
                                        <xsl:copy-of select="entry/fields/field_website/data/*" disable-output-escaping="yes" />
                                    </xsl:if>
                                </div>
                            </div>
                            <div class="pull-right">

                                <div class="update-line">
                                    <div class=" summarydetails-row">

                                        <span><i class="fa fa-calendar"></i> </span>
                                        <xsl:text> </xsl:text>
                                        <xsl:value-of select="php:function( 'SobiPro::Txt' , 'PUBLISHED_ON' )" />
                                        <xsl:text> </xsl:text>
                                        <xsl:value-of select="php:function( 'SobiPro::FormatDate', 'jS F  Y', string(entry/created_time) )" />
                                        <!--Uncomment for Month date Year <xsl:value-of select="php:function( 'SobiPro::FormatDate', 'F jS Y', string(entry/created_time) )" />-->

                                    </div>
                                    <div class=" summarydetails-row">

                                        <span><i class="fa fa-pencil-square-o"></i></span>
                                        <xsl:text> </xsl:text>
                                        <xsl:value-of select="php:function( 'SobiPro::Txt' , 'UPDATED_ON' )" />
                                        <xsl:text> </xsl:text>
                                        <xsl:value-of select="php:function( 'SobiPro::FormatDate', 'jS F  Y', string(entry/updated_time) )" />
                                        <!--Uncomment for Month date Year <xsl:value-of select="php:function( 'SobiPro::FormatDate', 'F jS Y', string(entry/created_time) )" />-->

                                    </div>

                                    <div class=" summarydetails-row">

                                        <span><i class="fa fa-eye"></i></span>
                                        <xsl:text> </xsl:text>
                                        <xsl:value-of select="php:function( 'SobiPro::Txt' , 'Views' )" />
                                        <xsl:text> </xsl:text>
                                        <xsl:value-of select="entry/counter" />
                                        <!--Uncomment for Month date Year <xsl:value-of select="php:function( 'SobiPro::FormatDate', 'F jS Y', string(entry/created_time) )" />-->
                                    </div>

                                </div>
                            </div>

                        </div>
                        <div style="clear:both"></div>
                    </div>
                    <div class="pull-right ">
                        <xsl:value-of select="php:function( 'TplFunctions::socialButon'  )" disable-output-escaping="yes" />
                    </div>

                    <div style="clear:both"></div>

                    <xsl:call-template name="slideshow"></xsl:call-template>
                    <!--    <xsl:call-template name="slideshow_thumb"></xsl:call-template>-->
                    <div style="clear:both"></div>
                    <div class="detail-container">
                        <div class="detail-wrapper">
                            <div class="span4">

                                <div class="summarydetails">
                                    <div class="summarydetails-heading">
                                        <h3 class="text-uppercase"><xsl:value-of select="php:function( 'SobiPro::Txt' , 'SUMMARY' )" /></h3>
                                    </div>

                                    <div class="summarydetails-row">
                                        <div class="summarydetails-cell">
                                            <span class="field-label"> 
                                       	 <xsl:if test="entry/fields/field_contact_person/label/@show = 1">
                                        		<xsl:value-of select="entry/fields/field_contact_person/label" />
                    				 		</xsl:if> 
                                     </span>
                                        </div>

                                        <div class="summarydetails-cell text-right">
                                            <span>
                                		  		<xsl:if test="string-length(entry/fields/field_contact_person/data)">
                        								 <xsl:value-of select="entry/fields/field_contact_person/data" disable-output-escaping="yes" />
                   								 </xsl:if>
               						  </span>
                                        </div>
                                    </div>
                                    <div class="summarydetails-row">
                                        <div class="summarydetails-cell">
                                            <span class="field-label"> 
                                       	 <xsl:if test="entry/fields/field_price/label/@show = 1">
                                        		<xsl:value-of select="entry/fields/field_price/label" />
                    				 		</xsl:if> 
                                     </span>
                                        </div>

                                        <div class="summarydetails-cell text-right">
                                            <span class="tag price">
                                		  		<xsl:if test="string-length(entry/fields/field_price/data)">
                                                <xsl:value-of select="concat(entry/fields/field_price/@suffix,' ' )"  />
                        								 <xsl:value-of select="entry/fields/field_price/data" disable-output-escaping="yes" />
                   								 </xsl:if>
               						  </span>
                                        </div>
                                    </div>
                                    <div class="summarydetails-row">
                                        <div class="summarydetails-cell">
                                            <span class="field-label"> 
                                       	 <xsl:if test="entry/fields/field_status/label/@show = 1">
                                        		<xsl:value-of select="entry/fields/field_status/label" />
                    				 		</xsl:if> 
                                     </span>
                                        </div>

                                        <div class="summarydetails-cell text-right">
                                            <span>
                                		  		<xsl:if test="string-length(entry/fields/field_status/data)">
                        								 <xsl:value-of select="entry/fields/field_status/data" disable-output-escaping="yes" />
                   								 </xsl:if>
               						  </span>
                                        </div>
                                    </div>

                                    <xsl:for-each select="entry/fields/*">
                                        <xsl:variable name="fid" select="name()" />

                                        <xsl:if test="( document('')/*/my:summary_fields/field[.=$fid] )">
                                            <xsl:call-template name="summary">
                                                <xsl:with-param name="field" select="." />
                                            </xsl:call-template>
                                        </xsl:if>
                                    </xsl:for-each>
                                    <div class="summarydetails-row">
                                        <div class="summarydetails-cell">
                                            <span class="field-label"> 
                                       	<xsl:value-of select="php:function( 'SobiPro::Txt' , 'RATING' )" />
                                     </span>
                                        </div>

                                        <div class="summarydetails-cell text-right">
                                            <xsl:call-template name="ratingStars" />
                                        </div>
                                    </div>
                                </div>

                                <div id="contact-form-here">

                                    <xsl:attribute name="class">

                                        <xsl:value-of select="concat('',entry/fields/field_contact_form/data/@nid)" />
                                    </xsl:attribute>
                                    <h3 class="text-uppercase tag price"> <xsl:value-of select="entry/fields/field_contact_form/label" /></h3>
                                </div>

                            </div>

                            <div class="span8">
                                <div>

                                    <xsl:if test="entry/fields/field_short_description/label/@show = 1">
                                        <h3 class="text-uppercase">
                                <xsl:value-of select="entry/fields/field_short_description/label" />
                    	</h3>
                                    </xsl:if>
                                    <xsl:value-of select="entry/fields/field_short_description/data" disable-output-escaping="yes" />


                                    <xsl:if test="entry/fields/field_full_description/label/@show = 1">
                                        <h3 class="text-uppercase">
          <xsl:value-of select="entry/fields/field_full_description/label" /><xsl:text> </xsl:text>
          </h3>
                                    </xsl:if>
                                    <xsl:value-of select="entry/fields/field_full_description/data" disable-output-escaping="yes" />
                                </div>

                                <div>
                                    <xsl:if test="entry/fields/field_property_features/label/@show = 1">
                                        <h3 class="text-uppercase">
          <xsl:value-of select="entry/fields/field_property_features/label" /><xsl:text> </xsl:text>
          </h3>
                                    </xsl:if>
                                    <ul class="property_features">
                                        <xsl:for-each select="entry/fields/field_property_features/options/*">

                                            <li class="span4 property_feature">
                                                <xsl:choose>
                                                    <xsl:when test="@selected = 'true'">
                                                        <i class="fa fa-check-circle"> </i>
                                                        <xsl:text> </xsl:text>
                                                        <span class="selected"><xsl:value-of select="." /></span>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <i class="fa fa-times-circle"> </i>
                                                        <xsl:text> </xsl:text> <span><xsl:value-of select="." /></span>

                                                    </xsl:otherwise>
                                                </xsl:choose>

                                            </li>

                                        </xsl:for-each>
                                    </ul>
                                </div>
                                <div class="clearfix"></div>
                                <xsl:for-each select="entry/fields/*">
                                    <xsl:call-template name="showfield">
                                        <xsl:with-param name="fieldname" select="." />
                                    </xsl:call-template>
                                </xsl:for-each>
                                <xsl:for-each select="entry/fields/*">
                                    <xsl:variable name="image" select="name()" />
                                    <xsl:variable name="val" select="." />

                                    <xsl:if test="( document('')/*/my:slides_images/image1[.=$image] )">

                                        <xsl:if test="count($val/data/*) ">
                                            <div class="item">
                                                <a class="fancybox" rel="group">
                                                    <xsl:attribute name="href">
                                                        <xsl:value-of select="$val/data/@image" />
                                                    </xsl:attribute>
                                                    <img itemprop="image">
                                                    <xsl:attribute name="src">
                                                        <xsl:value-of select="$val/data/@thumbnail" />
                                                    </xsl:attribute>
                                                    <xsl:attribute name="class">
                                                        <xsl:value-of select="$val/@css_class" />

                                                    </xsl:attribute>
                                                    </img>
                                                </a>
                                            </div>
                                        </xsl:if>
                                    </xsl:if>

                                </xsl:for-each>
                                <div class="clearfix"></div>
                                <div class="map-row-data">
                                    <h3 class="text-uppercase">
          <xsl:value-of select="entry/fields/field_map/label" /><xsl:text> </xsl:text>
          </h3>
                                    <xsl:if test="count(entry/fields/field_map/data/*)">
                                        <div>
                                            <xsl:attribute name="style">
                                                <xsl:text> margin:0 auto; </xsl:text>

                                                <xsl:value-of select="entry/fields/field_map/data/div/@style" />
                                            </xsl:attribute>
                                            <xsl:copy-of select="entry/fields/field_map/data/div/*" />
                                        </div>
                                    </xsl:if>
                                </div>
                                <div class="clearfix"></div>

                            </div>

                        </div>

                        <div style="clear:both"></div>
                    </div>
                    <div style="clear:both"></div>

                    <xsl:if test="( count(/entry_details/review_form/*) or count(/entry_details/reviews/*) ) and document('')/*/xsl:include[@href='../common/review.xsl'] ">
                        <div class="reviews sobi-row" id="feedback1">
                            <h3 class="text-uppercase">
                          
									<xsl:value-of select="php:function( 'SobiPro::Txt' , 'REVIEWS' )" />
								</h3>
                            <div class="rev-row-data">

                                <xsl:call-template name="ratingSummary" />
                                <xsl:call-template name="reviewForm" />
                                <div class="clearfix"></div>
                                <br />
                                <xsl:call-template name="reviews" />
                            </div>
                            <div class="clearfix"></div>

                        </div>
                    </xsl:if>
                    <xsl:if test="count(entry/categories)">
                        <div class="spEntryCats">
                            <xsl:value-of select="php:function( 'SobiPro::Txt' , 'ENTRY_LOCATED_IN' )" />
                            <xsl:text> </xsl:text>
                            <xsl:for-each select="entry/categories/category">
                                <a href="{@url}" class="tag price">
                                    <xsl:value-of select="." />
                                </a>
                                <xsl:if test="position() != last()">
                                    <xsl:text> </xsl:text>
                                </xsl:if>
                            </xsl:for-each>
                        </div>
                    </xsl:if>
                </div>
                <div class="clearfix" />
            </div>
        </xsl:template>

        <xsl:template name="summary">
            <xsl:param name="field" />

            <div class="summarydetails-row">
                <div class="summarydetails-cell">
                    <span class="field-label"> 
                                        <xsl:if test="$field/label/@show = 1">
                    
                        <xsl:value-of select="$field/label" /><xsl:text> </xsl:text>
                    
                </xsl:if> </span>
                </div>
                <div class="summarydetails-cell text-right">
                    <span><xsl:choose>
                <xsl:when test="count($field/data/*)">
                    <xsl:copy-of select="$field/data/*" />
                </xsl:when>
                <xsl:otherwise>
                    <xsl:if test="string-length($field/data)">
                        <xsl:value-of select="$field/data" disable-output-escaping="yes" />
                         <xsl:value-of select="concat(' ',$field/@suffix)"  />
                    </xsl:if>
                </xsl:otherwise>
            </xsl:choose></span>
                </div>
            </div>

        </xsl:template>

        <xsl:template name="showfield">
            <xsl:param name="fieldname" />
            <xsl:variable name="field_name" select="name()" />

            <xsl:choose>
                <xsl:when test="( document('')/*/my:template_fields/field[.=$field_name] )">

                </xsl:when>
                <xsl:otherwise>
                    <xsl:choose>
                        <xsl:when test="$fieldname/@type='image' and contains($fieldname/@css_class,'fancybox') and string-length($fieldname/data/@image)  ">
                            <xsl:if test="$fieldname/label/@show = 1">
                                <div class="spField">
                                    <h3 class="text-uppercase">
                                        <xsl:value-of select="$fieldname/label" />
                                    </h3></div>
                            </xsl:if>
                            <a>
                                <xsl:attribute name="class">
                                    <xsl:value-of select="$fieldname/@css_class" />
                                </xsl:attribute>

                                <xsl:attribute name="href">
                                    <xsl:value-of select="$fieldname/data/@image" />
                                </xsl:attribute>
                                <img itemprop="image">
                                <xsl:attribute name="src">
                                    <xsl:value-of select="$fieldname/data/@thumbnail" />
                                </xsl:attribute>

                                </img>
                            </a>
                        </xsl:when>
                        <xsl:otherwise>
                            <div class="{$fieldname/@css_class}">
                                <xsl:if test="string-length($fieldname/@itemprop)">
                                    <xsl:attribute name="itemprop">
                                        <xsl:value-of select="$fieldname/@itemprop" /></xsl:attribute>
                                </xsl:if>
                                <xsl:if test="count($fieldname/data/*) or string-length($fieldname/data)">
                                    <xsl:if test="$fieldname/label/@show = 1">
                                        <h3 class="text-uppercase">
                                        <xsl:value-of select="$fieldname/label" />
                                    </h3>
                                    </xsl:if>
                                </xsl:if>

                                <xsl:choose>
                                    <xsl:when test="count($fieldname/data/*)">
                                        <xsl:copy-of select="$fieldname/data/*" />
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:if test="string-length($fieldname/data)">
                                            <xsl:value-of select="$fieldname/data" disable-output-escaping="yes" />
                                        </xsl:if>
                                    </xsl:otherwise>
                                </xsl:choose>

                                <xsl:if test="count($fieldname/data/*) or string-length($fieldname/data)">
                                    <xsl:if test="string-length($fieldname/@suffix)">
                                        <xsl:text> </xsl:text>
                                        <xsl:value-of select="$fieldname/@suffix" />
                                    </xsl:if>
                                </xsl:if>

                            </div>
                            <div style="clear:both"></div>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:template>

        <xsl:template name="slideshow">
            <div class="detail-container slideshow-wrapper">
                <div id="slideshow" class="span12  owl-carousel owl-theme slideshow">

                    <xsl:attribute name="data">
                        <xsl:text>
                            'pagination':true, 'navigation' : true, 'autoPlay':4000, 'singleItem' : true, 'transitionStyle' : 'backSlide', 'addClassActive': true
                        </xsl:text>
                    </xsl:attribute>
                    <xsl:for-each select="entry/fields/*">
                        <xsl:variable name="image" select="name()" />
                        <xsl:variable name="val" select="." />

                        <xsl:if test="( document('')/*/my:slides_images/image[.=$image] )">

                            <xsl:if test="count($val/data/*) ">
                                <div class="item">
                                    <img itemprop="image">
                                    <xsl:attribute name="src">
                                        <xsl:value-of select="$val/data/@image" />
                                    </xsl:attribute>
                                    <xsl:attribute name="class">
                                        <xsl:value-of select="$val/@css_class" />
                                    </xsl:attribute>
                                    </img>
                                    <!--<xsl:copy-of select="$val/data/*" />-->

                                    <xsl:variable name="image_label" select="concat($image,'_label')" />
                                    <xsl:variable name="image_label_data" select="//entry/fields/*[name()=$image_label]/data" />
                                    <xsl:if test="string-length($image_label_data)">
                                        <div class="slide-title">

                                            <xsl:value-of select="$image_label_data" />

                                        </div>
                                    </xsl:if>
                                </div>
                            </xsl:if>
                        </xsl:if>

                    </xsl:for-each>

                </div>

                <div style="clear:both"></div>
            </div>

        </xsl:template>

        <xsl:template name="slideshow_thumb">

            <div class="detail-container slideshow-thumb">
                <xsl:attribute name="data">
                    <xsl:text> 'singleItem': true, 'slideSpeed': 1000, 'autoPlay':4000, 'navigation': true, 'pagination':false, 'afterAction': 'fun_syncPosition', 'responsiveRefreshRate': 200, 'transitionStyle' : 'backSlide', 'addClassActive': true
                    </xsl:text>
                </xsl:attribute>
                <xsl:attribute name="data_thumb">
                    <xsl:text>
                        'items' :5, 'itemsDesktop' : [1199,6], 'itemsDesktopSmall' : [800,5], 'itemsTabletSmall' : [768,4], 'itemsTablet' : [600,2], 'itemsMobile' : [480,1], 'itemsScaleUp':true, 'pagination':false, 'navigation':false, 'responsiveRefreshRate' : 100
                    </xsl:text>
                </xsl:attribute>
                <div class="owl-carousel owl-theme slide-images">

                    <xsl:for-each select="entry/fields/*">
                        <xsl:variable name="image" select="name()" />
                        <xsl:variable name="val" select="." />

                        <xsl:if test="( document('')/*/my:slides_images/image[.=$image] )">
                            <xsl:if test="count($val/data/*) ">
                                <div class="item">
                                    <img itemprop="image">
                                    <xsl:attribute name="src">
                                        <xsl:value-of select="$val/data/@image" />
                                    </xsl:attribute>
                                    <xsl:attribute name="class">
                                        <xsl:value-of select="$val/@css_class" />
                                    </xsl:attribute>
                                    </img>
                                    <xsl:variable name="image_label" select="concat($image,'_label')" />
                                    <xsl:variable name="image_label_data" select="//entry/fields/*[name()=$image_label]/data" />
                                    <xsl:if test="string-length($image_label_data)">
                                        <div class="slide-title">
                                            <div style="z-index:100">
                                                <xsl:value-of select="$image_label_data" />
                                            </div>
                                        </div>
                                    </xsl:if>

                                </div>
                            </xsl:if>

                        </xsl:if>

                    </xsl:for-each>

                </div>

                <div class="sbutton-wrapper tbutton-wrapper ">
                    <div class="sbutton tprev"><i class="fa fa-chevron-circle-left"></i> </div>
                    <div class="sbutton tnext"><i class="fa fa-chevron-circle-right"></i> </div>
                </div>
                <div class="owl-carousel owl-theme slide-thumbs">
                    <xsl:for-each select="entry/fields/*">
                        <xsl:variable name="image" select="name()" />
                        <xsl:variable name="val" select="." />

                        <xsl:if test="( document('')/*/my:slides_images/image[.=$image] )">
                            <xsl:if test="count($val/data/*) ">
                                <div class="item">
                                    <img itemprop="image">
                                    <xsl:attribute name="src">
                                        <xsl:value-of select="$val/data/@thumbnail" />
                                    </xsl:attribute>
                                    <xsl:attribute name="class">
                                        <xsl:value-of select="$val/@css_class" />
                                    </xsl:attribute>
                                    </img>
                                </div>
                            </xsl:if>
                        </xsl:if>
                    </xsl:for-each>
                </div>
            </div>
        </xsl:template>
    </xsl:stylesheet>