<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl" exclude-result-prefixes="php">
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />

	<xsl:include href="../common/topmenu.xsl" />
	<xsl:include href="../common/messages.xsl"/>
	<xsl:include href="list.xsl" />
	<xsl:template match="/payment_details">
		<div class="SPPayment">
			<div>
				<xsl:call-template name="topMenu">
					<xsl:with-param name="searchbox">true</xsl:with-param>
				</xsl:call-template>
			</div>
			<xsl:apply-templates select="messages"/>
			<xsl:call-template name="paymentTable" />
			<p class="text-info">
				<xsl:value-of select="php:function( 'SobiPro::Txt', 'PAYMENT_SELECT_PAYMENT' )" />:
			</p>
			<div class="payment-details row-fluid">
				<xsl:for-each select="payment_methods/*">
					<div class="thumbnail span6">
						<xsl:value-of select="@title" />
						<xsl:choose>
							<xsl:when test="@escaped">
								<xsl:value-of select="." disable-output-escaping="yes" />
							</xsl:when>
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="count(./*)">
										<xsl:copy-of select="./*" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="." disable-output-escaping="yes" />
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
					</div>
				</xsl:for-each>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>
