<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
@license see http://www.gnu.org/licenses/gpl-3.0.html GNU/LGPL Version 3.
* You can use, redistribute this file and/or modify it under the terms of the GNU Lesser General Public License version 3
*The user are free to edit and change  the content of file.
I hereby declare no warranty or loss to anybody using this code.
-->
    <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl">
        <xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />

        <xsl:template match="/EntriesModule">
            <div class="detail-container slideshow-thumb">

                <xsl:attribute name="data">
                    <xsl:text> 'singleItem': true, 'slideSpeed': 1000, 'autoPlay':3000, 'navigation': true, 'pagination':false, 'responsiveRefreshRate': 200, 'transitionStyle' : 'backSlide', 'addClassActive': true, 'stopOnHover':true
                    </xsl:text>
                </xsl:attribute>

                <xsl:attribute name="data_thumb">
                    <xsl:text>
                        'items' :4, 'itemsDesktop' : [1199,6], 'itemsDesktopSmall' : [800,5], 'itemsTabletSmall' : [768,4], 'itemsTablet' : [600,2], 'itemsMobile' : [480,1], 'itemsScaleUp':true, 'pagination':false, 'navigation':true, 'responsiveRefreshRate' : 100
                    </xsl:text>
                </xsl:attribute>
                <div class=" owl-carousel owl-theme slide-images vcard-module vcard-module-slideshow-image-thumb">
                    <xsl:for-each select="entries/entry">
                        <div class="item ">


                            <xsl:if test="count(fields/field_image1/data/*)">
                                <div>
                                    <a href="{url}">
                                        <img>
                                        <xsl:attribute name="src">
                                            <xsl:value-of select="fields/field_image1/data/@image" />
                                        </xsl:attribute>
                                        <xsl:attribute name="class">
                                            <xsl:value-of select="fields/field_image1/@css_class" />
                                        </xsl:attribute>
                                        </img>
                                    </a>
                                </div>
                            </xsl:if>
                            <xsl:if test="string-length(fields/field_image1_label/data)">
                                <div class="slide-title">
                                    <xsl:value-of select="fields/field_image1_label/data" />
                                </div>
                            </xsl:if>


                        </div>
                    </xsl:for-each>
                    <!-- End for each entries -->
                </div>


                <div class="owl-carousel owl-theme slide-thumbs">
                    <xsl:for-each select="entries/entry">
                        <div class="item ">


                            <xsl:if test="count(fields/field_image1/data/*)">
                                <div>

                                    <img>
                                    <xsl:attribute name="src">
                                        <xsl:value-of select="fields/field_image1/data/@thumbnail" />
                                    </xsl:attribute>
                                    <xsl:attribute name="class">
                                        <xsl:value-of select="fields/field_image1/@css_class" />
                                    </xsl:attribute>
                                    </img>

                                </div>
                            </xsl:if>


                        </div>
                    </xsl:for-each>

                </div>
            </div>


        </xsl:template>
    </xsl:stylesheet>